View Issue Details

IDProjectCategoryView StatusLast Update
0004265Slicer4Core: Segmentationpublic2017-04-30 15:45
ReporterfepegarAssigned Tolassoan 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product VersionSlicer 4.5.0-1 
Target VersionFixed in VersionSlicer 4.8.1 
Summary0004265: Undo / redo doesn't work when deleting a segment
Description

In the Segment Editor module, when one accidentally deletes a segment there is no way to undo this action. I think it would be interesting to be able to undo this with the button of the module.

TagsNo tags attached.

Relationships

related to 0004232 closedlassoan Add Undo/Redo functionality in Segment Editor 

Activities

fepegar

fepegar

2016-10-04 19:20

reporter   ~0014142

I think this has been now implemented here: https://github.com/Slicer/Slicer/commit/78b1fae445cf6f41f0b8b3fa1520746ebb83b398

lassoan

lassoan

2017-04-30 15:44

developer   ~0014469

This is working in recent nightly versions.

Issue History

Date Modified Username Field Change
2016-09-28 11:28 fepegar New Issue
2016-09-28 11:28 fepegar Status new => assigned
2016-09-28 11:28 fepegar Assigned To => pinter
2016-09-28 11:28 fepegar Relationship added related to 0004232
2016-10-04 19:20 fepegar Note Added: 0014142
2017-04-30 15:44 lassoan Note Added: 0014469
2017-04-30 15:44 lassoan Status assigned => closed
2017-04-30 15:45 lassoan Assigned To pinter => lassoan
2017-04-30 15:45 lassoan Resolution open => fixed
2017-04-30 15:45 lassoan Fixed in Version => Slicer 4.8.1